getr(3)

NAME
getr, getg, getb, geta

SYNOPSIS
#include <allegro.h>

int getr(int c); int getg(int c); int getb(int c); int geta(int c);

DESCRIPTION
Given a color in the format being used by the current video mode, these functions extract one of the red, green, blue, or alpha components (ranging 0-255), calling the preceding 8, 15, 16, 24, or 32 bit get functions as appropriate. The alpha part is only meaningful for 32 bit pixels.

SEE ALSO
getr8(3), getr_depth(3), makecol(3), set_color_depth(3)